Page MenuHomePhabricator

Soft disable uploads doesn't work at some wikis
Closed, ResolvedPublic

Description

Soft disable uploads doesn't work at some wikis.

Some wikis have no '+' prefix before a dbname in 'groupOverrides' at InitialiseSettings.php :
'bnwikisource', 'newiki', 'pswiki', 'trwikiquote', 'wuuwiki'

It means those wikis are not inherit permissions from 'commonsuploads' set.
For this, those wikis can be use file upload function by autoconfirmed users.

I found this in deploying https://gerrit.wikimedia.org/r/#/c/406256/ (T185720).

Solution

add '+' prefix for each dbnames in 'groupOverrides' at 'InitialiseSettings.php' when dbname have no '+' prefix

Event Timeline

Rxy created this task.Jan 29 2018, 3:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 3:30 PM
Rxy updated the task description. (Show Details)Jan 29 2018, 4:17 PM
Rxy updated the task description. (Show Details)Jan 29 2018, 4:35 PM
Rxy added a comment.Jan 29 2018, 4:57 PM

I think this affect to T143789 ("2.- Remove from users, autoconfirmed, confirmed and sysops the upload rights." -- https://gerrit.wikimedia.org/r/#/c/405421/).

Rxy updated the task description. (Show Details)Jan 31 2018, 12:25 PM

https://meta.wikimedia.org/wiki/Non-free_content currently states:

  1. Bengali Wikisource "Locally hosted PD-India or PD-Bangladesh media; many books by authors with uncertain death date"
  2. Nothing about Nepali Wikipedia, @biplabanand @Nepaboy @KrishDulal @nirmaldulal @pibhattarai @Ramesh_Bohara
  3. Too for Pashto Wikipedia, @Baloch007
  4. Administrators are "allowed" to local upload on Turkish Wikiquote, ask who?
  5. Unclear policy status about Wuu Wikipedia, @Hercule @Lantern

Are those wikis want to keep local uploads or not? If not, just list them to commonsuploads.dblist and list them as 'xxwiki' => false, this task and 'xxwiki' => 'commons.wikimedia.org/wiki/Special:UploadWizard?uselang=xx', // this task

@Liuxinyu970226, Bengali Wikisource wants to keep local upload.

Liuxinyu970226 added a comment.EditedMay 15 2018, 2:52 AM

None of wuuwiki sysops respond on this problem, assume that they're OK with disabling https://wuu.wikipedia.org/wiki/Special:%E4%B8%8A%E4%BC%A0%E6%96%87%E4%BB%B6

@Rxy As bodhisattwa stated above, can you strike "bnwikisource" in your task description?

Liuxinyu970226 added a subscriber: pibhattarai.
Liuxinyu970226 added a subscriber: Ramesh_Bohara.

Change 519180 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Tidy up groupOverrides

https://gerrit.wikimedia.org/r/519180

Change 519475 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Remove several wikis from commonsuploads.dblist

https://gerrit.wikimedia.org/r/519475

Change 519475 merged by jenkins-bot:
[operations/mediawiki-config@master] Remove several wikis from commonsuploads.dblist

https://gerrit.wikimedia.org/r/519475

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:22:38Z] <urbanecm@deploy1001> Synchronized dblists/commonsuploads.dblist: [[:gerrit:519475|Remove several wikis from commonsuploads.dblist]] (T185898) (duration: 00m 57s)

Urbanecm claimed this task.Jun 27 2019, 6:26 PM
Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 27 2019, 6:26 PM

Change 519180 merged by jenkins-bot:
[operations/mediawiki-config@master] Tidy up groupOverrides

https://gerrit.wikimedia.org/r/519180

Mentioned in SAL (#wikimedia-operations) [2019-06-27T18:29:33Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[:gerrit:519180|Tidy up groupOverrides]] (T185898) (duration: 00m 56s)

Change 519484 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Tidy up GroupOverrides

https://gerrit.wikimedia.org/r/519484

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/519484 is also related, mistakenly attached that patch to wrong task.

Urbanecm closed this task as Resolved.Jun 27 2019, 7:13 PM

Okay, so to summarize what I just did:

  • All entries in groupOverrides should now have a + in front of them, which means commonsuploads.dblist is applied everywhere where it should.
  • For wikis that in fact had on-wiki uploads enabled, I've removed them commonsuploads.dblist temporarily, so we have times to investigate. I'll open another task to figure out where we can safely disable on-wiki uploads.

I think we can call this resolved.